// $Id: CardinalityIndication.java,v 1.4 2002/08/05 19:03:09 drager Exp $

package org.daml.validator.indications;

import com.hp.hpl.mesa.rdf.jena.model.*;
import java.util.*;

/**
 * Indication used for cardinality restriction violations.
 */
public class CardinalityIndication extends RestrictionIndication {
    
    public static int defaultLevel = Indication.ERROR;

    public CardinalityIndication(org.daml.validator.model.DAMLModelImpl.Node instance,
				 org.daml.validator.model.DAMLModelImpl.Node onClass,
				 org.daml.validator.model.DAMLModelImpl.Restriction restriction,
				 java.util.Collection statements)
    {
	super(instance, onClass, restriction, statements);
	level = defaultLevel;
	type = "Cardinality Violation";
    }
	

    public String getMessage()
    {
	String m = "";
	m += "Resource "+instance+" violates the cardinality restriction on class "+onClass+" for property "+restriction.onProperty+".  ";
	int size = statements.size();
	m += "Resource has "+statements.size()+" statements with this property.  ";
	if ((restriction.minCardinality >= 0) && (size < restriction.minCardinality)) {
	    m += "Minimum cardinality is "+restriction.minCardinality+".  ";
	}
	if ((restriction.maxCardinality >= 0) && (size > restriction.maxCardinality)) {
	    m += "Maximum cardinality is "+restriction.maxCardinality+".  ";
	}
	return(m);
    }

    /*
    public String getLocation()
    {	
	return(getLocation(statements));
    }

    public String getLocationXML()
	throws RDFException
    {
	return(getLocationXML(statements));
    }
    */

}

				 
