// $Id: InvalidNamespaceIndication.java,v 1.8 2001/05/10 22:07:25 drager Exp $

package org.daml.validator.indications;

import java.util.Stack;

/**
 * Used when the parser is unable to find a namespace URI.
 */
public class InvalidNamespaceIndication extends URIIndication {
    
    /**
     * The exception returned by the parser
     */
    Exception exception;

    public static int defaultLevel = Indication.WARNING;

    /**
     * Constructor for an InvalidNamespaceIndication.
     * @param uri	The namespace URI that caused the exception.
     * @param stack	The namespace reference stack or null.
     * @param exception	The exception that prompted this indication.
     */
    public InvalidNamespaceIndication(String uri, Stack stack, Exception exception)
    {
	super(uri, stack);
	this.exception = exception;
	level = defaultLevel;
	type = "Invalid Namespace";
    }

    public String getMessage() 
    {
	String m = "Unable to access namespace.";
	if (exception != null) {
	    m += "\n" + exception.toString();
	}
	return(m);
    }
}
