// $Id: StatementIndication.java,v 1.2 2002/08/05 19:03:09 drager Exp $

package org.daml.validator.indications;

import com.hp.hpl.mesa.rdf.jena.model.*;
import java.util.*;

/**
 * Indication used for general indications about statements.
 */
public class StatementIndication extends Indication {

    /**
     * The statement / location for the indication
     */
    Statement statement;

    /**
     * The indication message.
     */

    
    public static int defaultLevel = Indication.ERROR;
    
    /**
     * Constuctor function.
     * @param statement	The statement the indication is about.
     * @param message	The indication message.
     */
    public StatementIndication(Statement statement, String message)
    {
	super();
	this.statement = statement;
	this.message = message;
	type = "Statement Indication";
	level = defaultLevel;
    }	

    /**
     * Constuctor function.
     * @param statement	The statement the indication is about.
     * @param message	The indication message.
     * @param type	The indication type.
     */
    public StatementIndication(Statement statement, String message, String type)
    {
	super();
	this.statement = statement;
	this.message = message;
	type = this.type;
	level = defaultLevel;
    }	

    public String getMessage() 
    {	
	return(message);
    }

    public String getLocation()
    {
	return(getLocation(statement));
    }

    public String getLocationXML()
	throws RDFException
    {
	return(getLocationXML(statement));
    }


}
